/// Generated By XFlutter Cli.
///
/// more info: https://medium.com/@aghiadodeh
import 'package:flutter/material.dart';
import 'package:flutter_mvvm_example/config/ui_config.dart';
import 'package:flutter_mvvm_example/network/managers/authentication_manager.dart';
import 'package:flutter_mvvm_example/router/app_router.dart';
import 'package:flutter_mvvm_example/ui/core/layouts/base_scaffold.dart';
import 'package:flutter_native_splash/flutter_native_splash.dart';

class InitialScreen extends StatefulWidget {
  const InitialScreen({Key? key}) : super(key: key);

  @override
  State<InitialScreen> createState() => _InitialScreenState();
}

class _InitialScreenState extends State<InitialScreen> {
  @override
  void initState() {
    addPostFrameCallback(() async {
      final loggedIn = await AuthenticationManager.loggedIn();
      FlutterNativeSplash.remove();
      appRouter.replaceAll([loggedIn ? const Home() : const Login()]);
    });
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return BaseScaffold(
      builder: (context, theme) {
        return Container();
      },
    );
  }
}
